package cd.casic.ci.common.pipeline.constant;


/**
 * @author by mianbin
 * @Classname OpsHeader
 * @Description 重要，莫动
 * @Date 2025/3/19 14:49
 */

public final class OpsHeader {

    public static final String AUTH_HEADER_USER_ID = "X-DEVOPS-UID";
    public static final String AUTH_HEADER_USER_ID_DEFAULT_VALUE = "admin";
    public static final String AUTH_HEADER_BUILD_ID = "X-DEVOPS-BUILD-ID";
    public static final String AUTH_HEADER_VM_SEQ_ID = "X-DEVOPS-VM-SID";
    public static final String AUTH_HEADER_VM_NAME = "X-DEVOPS-VM-NAME";
    public static final String AUTH_HEADER_PROJECT_ID = "X-DEVOPS-PROJECT-ID";
    public static final String AUTH_HEADER_AGENT_SECRET_KEY = "X-DEVOPS-AGENT-SECRET-KEY";
    public static final String AUTH_HEADER_AGENT_ID = "X-DEVOPS-AGENT-ID";
    public static final String AUTH_HEADER_PIPELINE_ID = "X-DEVOPS-PIPELINE-ID";
    public static final String AUTH_HEADER_REGION = "X-DEVOPS-REGION";
    public static final String AUTH_HEADER_DEVOPS_APP_CODE = "X-DEVOPS-APP-CODE";
    public static final String AUTH_HEADER_DEVOPS_APP_SECRET = "X-DEVOPS-APP-SECRET";
    public static final String AUTH_HEADER_DEVOPS_BUILD_TYPE = "X-DEVOPS-BUILD-TYPE";
    public static final String AUTH_HEADER_DEVOPS_USER_ID = AUTH_HEADER_USER_ID;
    public static final String AUTH_HEADER_DEVOPS_USER_ID_DEFAULT_StringUE = "admin";
    public static final String AUTH_HEADER_DEVOPS_APP_CODE_DEFAULT_StringUE = "opsci";
    public static final String AUTH_HEADER_DEVOPS_BG_ID = "X-DEVOPS-BG-ID";
    public static final String AUTH_HEADER_DEVOPS_DEPT_ID = "X-DEVOPS-DEPT-ID";
    public static final String AUTH_HEADER_DEVOPS_CENTER_ID = "X-DEVOPS-CENTER-ID";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE = "X-DEVOPS-ORGANIZATION-TYPE";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_BG = "BG";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_DEPARTMENT = "DEPARTMENT";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_TYPE_CENTER = "CENTER";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_ID = "X-DEVOPS-ORGANIZATION-ID";
    public static final String AUTH_HEADER_DEVOPS_ORGANIZATION_NAME = "X-DEVOPS-ORGANIZATION-NAME";
    public static final String AUTH_HEADER_DEVOPS_PROJECT_ID = "X-DEVOPS-PROJECT-ID";
    public static final String AUTH_HEADER_DEVOPS_PIPELINE_ID = "X-DEVOPS-PIPELINE-ID";
    public static final String AUTH_HEADER_DEVOPS_BUILD_ID = "X-DEVOPS-BUILD-ID";
    public static final String AUTH_HEADER_DEVOPS_VM_SEQ_ID = "X-DEVOPS-VM-SID";
    public static final String AUTH_HEADER_DEVOPS_VM_NAME = "X-DEVOPS-VM-NAME";
    public static final String AUTH_HEADER_DEVOPS_REAL_IP = "X-DEVOPS-REAL-IP";
    public static final String AUTH_HEADER_DEVOPS_AGENT_ID = "X-DEVOPS-AGENT-ID";
    public static final String AUTH_HEADER_DEVOPS_AGENT_SECRET_KEY = "X-DEVOPS-AGENT-SECRET-KEY";
    public static final String AUTH_HEADER_DEVOPS_OPS_TOKEN = "X-DEVOPS-OPS-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_ACCESS_TOKEN = "X-DEVOPS-ACCESS-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_OPS_TICKET = "X-DEVOPS-OPS-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_USER_CHINESE_NAME = "X-DEVOPS-CHINESE-NAME";
    public static final String AUTH_HEADER_DEVOPS_USER_PAAS_ID = "X-DEVOPS-PAAS-USER-ID";
    public static final String AUTH_HEADER_DEVOPS_ORIGINAL_HOST = "X-DEVOPS-ORIGINAL-HOST";
    public static final String AUTH_HEADER_DEVOPS_JWT_TOKEN = "X-DEVOPS-JWT-TOKEN";
    public static final String AUTH_HEADER_IAM_TOKEN = "Authorization";
    public static final String AUTH_HEADER_DEVOPS_SIGN_INFO = "X-DEVOPS-SIGN-INFO";
    public static final String AUTH_HEADER_PLATFORM = "X-DEVOPS-PLATFORM";
    public static final String AUTH_HEADER_APP_VERSION = "X-DEVOPS-APP-VERSION";
    public static final String AUTH_HEADER_GATEWAY_TAG = "X-GATEWAY-TAG";
    public static final String AUTH_HEADER_DEVOPS_CI_TASK_ID = "X-DEVOPS-CI-TASK-ID";
    public static final String SIGN_HEADER_TIMESTAMP = "X-DEVOPS-TIMESTAMP";
    public static final String SIGN_HEADER_NONCE = "X-DEVOPS-NONCE";
    public static final String SING_HEADER_SIGNATURE = "X-DEVOPS-SIGNATURE";
    public static final String AUTH_HEADER_GITHUB_TOKEN = "X-GITHUB-TOKEN";
    public static final String AUTH_HEADER_GIT_TYPE = "X-DEVOPS-STREAM-GIT-TYPE";
    public static final String AUTH_HEADER_OPS_CI_LOGIN_TOKEN = "X-DEVOPS-CI-LOGIN-TOKEN";
    public static final String AUTH_HEADER_DEVOPS_SERVICE_NAME = "X-DEVOPS-SERVICE-NAME";

    public static final String AUTH_HEADER_DEVOPS_BK_TOKEN = "X-DEVOPS-BK-TOKEN";

    public static final String AUTH_HEADER_CODECC_OPENAPI_TOKEN = "X-CODECC-OPENAPI-TOKEN";

    public static final String AUTH_HEADER_OAUTH2_CLIENT_ID = "X-DEVOPS-OAUTH2-CLIENT-ID";
    public static final String AUTH_HEADER_OAUTH2_CLIENT_SECRET = "X-DEVOPS-OAUTH2-CLIENT-SECRET";
    public static final String AUTH_HEADER_OAUTH2_AUTHORIZATION = "X-DEVOPS-OAUTH2-AUTHORIZATION";
    public static final String REFERER = "referer"; // 来源

    public static final String DEVX_HEADER_GW_TOKEN = "X-DEVOPS-DEVX-GW-TOKEN";
    public static final String DEVX_HEADER_NGGW_CLIENT_ADDRESS = "X-OPS-NGGW-CLIENT-ADDRESS";
    public static final String DEVX_HEADER_CDS_TOKEN = "X-OPS-CDS-TOKEN";

    public static final String AUTH_HEADER_DEVOPS_SHA_CONTENT = "X-DEVOPS-SHA-CONTENT";
    public static final String AUTH_HEADER_DEVOPS_OS_NAME = "X-DEVOPS-OS-NAME";
    public static final String AUTH_HEADER_DEVOPS_OS_ARCH = "X-DEVOPS-OS-ARCH";
    public static final String AUTH_HEADER_DEVOPS_STORE_CODE = "X-DEVOPS-STORE-CODE";
    public static final String AUTH_HEADER_DEVOPS_STORE_TYPE = "X-DEVOPS-STORE-TYPE";
    public static final String AUTH_HEADER_DEVOPS_STORE_VERSION = "X-DEVOPS-STORE-VERSION";
    public static final String AUTH_HEADER_DEVOPS_SIGN_FILE_NAME = "X-DEVOPS-SIGN-FILE-NAME";
    public static final String AUTH_HEADER_DEVOPS_ENV = "X-DEVOPS-ENV";
}
