package cd.casic.ci.common.pipeline.req.pipeline;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * @ClassName PipelineQueryReq
 * @Author hopeli
 * @Date 2025/5/10 9:54
 * @Version 1.0
 */
@Data
public class PipelineQueryReq {
    private String userId;

    // 创建人
    private String createUserId;

    private String pipelineName;

    /**
     *  流水线状态 1.运行中 2.未运行,3.等待执行
     */
    private Integer pipelineState;

    /**
     *  流水线类型 1.多任务 2.多阶段
     */
    private Integer pipelineType;

    private Integer pipelinePower;

    private Integer pipelineFollow;

    private String[] idString;

    private boolean eqName;

    // 环境
    private String envId;

    // 分组
    private String groupId;


    private Page pageParam= new Page();

}
