package cd.casic.pipeline.environment.pojo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@Schema(title = "环境变量")
@JsonIgnoreProperties(ignoreUnknown = true)
public class EnvVar {
    @Schema(title = "变量名", required = true)
    private final String name;

    @Schema(title = "变量值", required = true)
    private final String value;

    @Schema(title = "是否安全变量", required = true)
    private final Boolean secure;
} 