package cd.casic.pipeline.environment.pojo.thirdpartyagent.pipeline;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class FilePipelineCreate extends PipelineCreate {
    private final FilePipeline.FilePipelineOperation operation;
    private final String file;

    public FilePipelineCreate(
            @JsonProperty("operation") FilePipeline.FilePipelineOperation operation,
            @JsonProperty("file") String file,
            @JsonProperty("seqId") String seqId) {
        super(PipelineType.FILE, seqId);
        this.operation = operation;
        this.file = file;
    }
} 