package cd.casic.ci.process.api.process.pojo;

import cd.casic.ci.common.pipeline.pojo.PipelineModelAndSetting;
import cd.casic.ci.common.pipeline.pojo.transfer.TransferMark;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：TransferResponseResult
 * @Date：2025/03/24 17:04
 * @Filename：TransferResponseResult
 * @description：Todo
 */
@Data
@AllArgsConstructor
@Schema(title = "流水线互转-Response-result")
public class TransferResponseResult {
    @Schema(title = "modelAndSetting")
    private PipelineModelAndSetting modelAndSetting;
    @Schema(title = "当前yaml内容")
    private String newYaml;
    @Schema(title = "定位")
    private TransferMark mark;
    @Schema(title = "互转报错信息")
    private String error;
    @Schema(title = "是否支持YAML解析", required = true)
    private Boolean yamlSupported;
    @Schema(title = "YAML解析异常信息")
    private String yamlInvalidMsg;
}
