package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateVersion
 * @Date：2025/03/24 19:32
 * @Filename：TemplateVersion
 * @description：Todo
 */
@Data
@Schema(title = "模板版本信息")
public class TemplateVersion {
    @Schema(title = "版本号", required = false)
    private long version;
    @Schema(title = "版本名称", required = false)
    private String versionName;
    @Schema(title = "更新时间", required = false)
    private long updateTime;
    @Schema(title = "构建者", required = false)
    private String creator;
}
