package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "流水线-插件信息")
public class MyAtomResp {
    @Schema(title = "总记录数", required = true)
    private int count;

    @Schema(title = "当前页码值", required = false)
    private Integer page;

    @Schema(title = "每页记录大小", required = false)
    private Integer pageSize;

    @Schema(title = "数据集合", required = false)
    private List<MyAtomRespItem> records;
}
