package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "已安装的项目")
public class InstalledProjRespItem {
    @Schema(title = "项目标识")
    private String projectCode;
    
    @Schema(title = "项目名称")
    private String projectName;
    
    @Schema(title = "安装人")
    private String creator;
    
    @Schema(title = "安装时间")
    private String createTime;
}