package cd.casic.pipeline.store.pojo.common.env;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "store组件环境变量变更历史信息")
public class StoreEnvChangeLogInfo {
    @Schema(title = "变量名", required = true)
    private String varName;
    @Schema(title = "变更前变量值", required = true)
    private String beforeVarValue;
    @Schema(title = "变更后变量值", required = true)
    private String afterVarValue;
    @Schema(title = "修改用户", required = true)
    private String modifier;
    @Schema(title = "修改时间", required = true)
    private String updateTime;
}