package cd.casic.pipeline.store.pojo.common.media;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "增删Media请求")
public class StoreMediaInfoRequest {
    @Schema(title = "研发商店类型", required = true)
    private String storeCode;
    
    @Schema(title = "媒体url", required = true)
    private String mediaUrl;
    
    @Schema(title = "媒体类型", required = true)
    private String mediaType;
    
    @Schema(title = "修改用户", required = true)
    private String modifier;
}