package cd.casic.ci.common.pipeline.utils;

import cd.casic.ci.common.pipeline.pojo.element.ElementProp;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.utils
 * @Project：ops-pro
 * @name：TriggerElementPropUtils
 * @Date：2025/03/26 16:09
 * @Filename：TriggerElementPropUtils
 * @description：Todo
 */
public class TriggerElementPropUtils {
    public static ElementProp vuexInput(String name, String value) {
        if (value == null || value.isBlank()) {
            return null;
        }
        return new ElementProp(name, value.split(","), ElementProp.ElementPropType.VUEX_INPUT);
    }

    public static ElementProp staffInput(String name, List<String> value) {
        if (value == null || value.isEmpty()) {
            return null;
        }
        return new ElementProp(name, value, ElementProp.ElementPropType.STAFF_INPUT);
    }

    public static ElementProp selector(String name, List<String> value) {
        if (value == null || value.isEmpty()) {
            return null;
        }
        return new ElementProp(name, value, ElementProp.ElementPropType.SELECTOR);
    }
}
