package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：UpdatePipelineModelRequest
 * @Date：2025/03/24 20:38
 * @Filename：UpdatePipelineModelRequest
 * @description：Todo
 */
@Data
@Schema(title = "更新流水线模型请求报文")
public class UpdatePipelineModelRequest {
    @Schema(title = "流水线模型版本集合", required = true)
    private List<PipelineModelVersion> pipelineModelVersionList;
}
