package cd.casic.ci.process.api.process.pojo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplatePipelineInfo
 * @Date：2025/03/24 19:30
 * @Filename：TemplatePipelineInfo
 * @description：Todo
 */
@Data
@Schema(title = "流水线模板信息")
public class TemplatePipelineInfo {
    @Schema(title = "模板id", required = false)
    private String templateId;
    @Schema(title = "版本名称", required = false)
    private String versionName;
    @Schema(title = "版本", required = false)
    private Long version;
    @Schema(title = "流水线id", required = false)
    private String pipelineId;
}
