package cd.casic.ci.process.process.dataObject.pipeline;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class PipPipeline {
    /**
     * 主键id
     */
    private String id;

    /**
     * 流水线名称
     */
    private String name;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 流水线类型 1.多任务 2.多阶段
     */
    private Integer type;

    /**
     * 运行状态 1.未运行 2.运行中
     */
    private Integer state;

    /**
     * 项目作用域 1.全局 2.项目
     */
    private Integer power;

    /**
     * 颜色 1~5随机生成
     */
    private Integer color;

    /**
     * 流水线模板id
     */
    private String templateId;

    /**
     * 是否收藏 0.未收藏/1.收藏
     */
    private Integer collect;

    /**
     * 目标id
     */
    private String targetId;

    /**
     * 目标类型
     */
    private String targetType;

    /**
     * 流水线组id
     */
    private String groupId;

    /**
     * 资源id
     */
    private String resourceId;

    /**
     * 备注
     */
    private String remake;

    /**
     * 流水线环境
     */
    private String envId;
}
