package cd.casic.ci.process.process.service.task;

import cd.casic.ci.common.pipeline.resp.task.TasksResp;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface TaskService extends IService<PipTask> {
    /**
     *  查询taskType是否存在（原项目的各种worker）
     * */
    public void taskTypeExist(String taskType);
    public String createTasksOrTask(PipTask tasks);
    List<PipTask> finAllStageTask(String stageId);
    List<PipTask> getTask(PipTask pipTask);
    void deleteTaskById(String taskId);
    public TasksResp getById(String taskId);
}
