package cd.casic.pipeline.store.pojo.atom;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "已安装插件")
public class InstalledAtom {
    @Schema(title = "插件ID")
    private String atomId;
    @Schema(title = "插件标识")
    private String atomCode;
    @Schema(title = "插件版本")
    private String version;
    @Schema(title = "插件名称")
    private String name;
    @Schema(title = "logo地址")
    private String logoUrl;
    @Schema(title = "插件分类code")
    private String classifyCode;
    @Schema(title = "插件分类名称")
    private String classifyName;
    @Schema(title = "插件范畴")
    private String category;
    @Schema(title = "插件简介")
    private String summary;
    @Schema(title = "发布者")
    private String publisher;
    @Schema(title = "安装者")
    private String installer;
    @Schema(title = "安装时间")
    private String installTime;
    @Schema(title = "安装类型")
    private String installType;
    @Schema(title = "流水线个数")
    private Integer pipelineCnt;
    @Schema(title = "是否有卸载权限")
    private Boolean hasPermission;
}