package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "插件发布进度信息")
public class StoreProcessInfo {
    @Schema(title = "发布进度流程操作权限", required = false)
    private Boolean opPermission;

    @Schema(title = "store组件流水线构建信息", required = false)
    private StoreBuildInfo storeBuildInfo;

    @Schema(title = "发布进度信息", required = true)
    private List<ReleaseProcessItem> processInfos;
}
